Skip to main content
POST
Turn a single URL to data without a workflow, ad-hoc

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

url
string
required

The URL to extract from

additional_instructions
string

Additional hints to the AI about what you want to extract

model
enum<string>

The model to use. Large is slower but may be more accurate. Small is faster but may be less accurate.

Available options:
auto,
large,
small
extended
boolean

Attempt to extract extended metadata, like URLs and images

cap_screenshots
integer
default:5

Increasing this will cause the AI to scroll further down the page

Body

application/json

A JSON schema to extract against

Example:

Response

200 - application/json

An in-progress result, which you can retrieve later with /result/{result_id}

message
string
Example:

"started"

result
object
success
boolean
Example:

true